<?php

require_once ("../../config/Cado.php");

require_once ("cCuentadeposito.php");

$oCuentadeposito = new cCuentadeposito();



if($_POST['action']=="editar")

{

	$dts=$oCuentadeposito->mostrarUno($_POST['cuecor_id']);

	$dt = mysql_fetch_array($dts);

	$cuecor_nom	=$dt['tb_cuentadeposito_nom'];

	$caj_id	=$dt['tb_caja_id'];

	mysql_free_result($dts);

}

?>



				<form role="form" id="for_cuecor" method="POST"> 

					<input name="action_cuentadeposito" id="action_cuentadeposito" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_cuecor_id" id="hdd_cuecor_id" type="hidden" value="<?php echo $_POST['cuecor_id']?>">



					<div class="box-header">

						<h3 class="box-title">Información de la Cuenta</h3>

					</div>

					<div class="box-body">



						<div class="form-group">							

							<div class="row">

								<div class="col-lg-6 col-xs-6">

									<label for="txt_tar_nom">Nombre:</label>

									<input name="txt_cuecor_nom" type="text" id="txt_cuecor_nom" value="<?php echo $cuecor_nom?>"  maxlength="50"  class="form-control" > 

								</div>

								<div class="col-lg-4 col-xs-6">

									<label for="cmb_caj_id">Caja:</label>

									<select name="cmb_caj_id" id="cmb_caj_id" class="form-control"></select> 

								</div>

							</div>

						</div>

					</div>

				</form>

				<div class="box-footer pull-right">

						<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

					<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>

			





<script type="text/javascript">



	function cmb_caj_id(ids)

	{	

		$.ajax({

			type: "POST",

			url: "../caja/cmb_caj_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				caj_id: ids

			}),

			beforeSend: function() {

				$('#cmb_caj_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_caj_id').html(html);

			}

		});

	}



	cmb_caj_id(<?php echo $caj_id?>);



	$('#txt_cuecor_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	



	$("#save_form").click(function() {

		$("#for_cuecor").submit();

	});



	$(document).ready(function() {

		$('#for_cuecor').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	        	

	      	txt_cuecor_nom: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	cmb_caj_id: {

	      		group: '.col-lg-4',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {

		  

	  	$.ajax({

	  		type: "POST",

	  		url: "../cuentadeposito/cuentadeposito_reg.php",

	  		async:true,

	  		dataType: "json",

	  		data: $("#for_cuecor").serialize(),

	  		beforeSend: function() {

	  			

	  		},

	  		success: function(data){	

	  

				$('.modal').modal('hide');

				$('.in').removeClass('modal-backdrop');			

				toastr["success"](data.cuecor_msj);	

				

	  			<?php

	  			if($_POST['vista']=="cmb_cuecor_id")

	  			{

	  				echo $_POST['vista'].'(data.cuecor_id)';

	  			}

	  			?>

	  		},

	  		complete: function(){

	  			<?php

	  			if($_POST['vista']=="cuentadeposito_tabla")

	  			{

	  				echo $_POST['vista'].'()';

	  			}

	  			?>

	  		}

	  	});



	  });



	  $('#txt_cuecor_nom').focus();



	  $('#txt_cuecor_nom').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#cmb_caj_id').focus(); return false;}

	  });

	  $('#cmb_caj_id').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#save_form').focus(); return false;}

	  });





	});	

</script>